For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
          • POSTEstimate Taxes
          • POSTVoid Tax Quote
          • POSTCommit Tax Quote
          • POSTAdjust Tax Quote
            • GETGet Connection Status
            • PUTUpdate Connection
            • DELDelete Connection
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsTax ProviderTax Provider Connection

Get Connection Status

GET
https://api.bigcommerce.com/stores/:store_hash/v3/tax/providers/:provider_id/connection
GET
/stores/:store_hash/v3/tax/providers/:provider_id/connection
$curl https://api.bigcommerce.com/stores/store_hash/v3/tax/providers/provider_id/connection \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "username": "acme_tax_account_987",
4 "configured": true,
5 "profile": "standard_us_profile",
6 "target": {
7 "country_codes": [
8 "US",
9 "CA"
10 ],
11 "subdivision_codes": [
12 "US-CA",
13 "US-NY",
14 "CA-ON"
15 ]
16 }
17 }
18}
Retrieve the connection status of the specified tax provider in the context of a store. > #### Note > * Requires **read** permissions on the **Information and Settings** scope.
Was this page helpful?
Previous

Adjust Tax Quote

Next

Update Connection

Built with

Retrieve the connection status of the specified tax provider in the context of a store.

Note

  • Requires read permissions on the Information and Settings scope.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

provider_idstringRequired

The Tax Providerʼs provider_id provided by BigCommerce after the provider shares their provider details.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobject

Errors

404
Not Found Error